﻿using Hotline.Application.CallCenter;
using Hotline.Settings;
using Hotline.Share.Tools;
using Hotline.XingTang.Dto;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.XingTang;
public class NotifyService : INotifyService
{
    private readonly IIPPbxApplication _IPPbxApplication;
    private readonly ISystemLogRepository _systemLogRepository;

    public NotifyService(IIPPbxApplication iPPbxApplication, ISystemLogRepository systemLogRepository)
    {
        _IPPbxApplication = iPPbxApplication;
        _systemLogRepository = systemLogRepository;
    }

    public async Task NotifyStatus(NotifyInDto dto)
    {
        _systemLogRepository.Add("兴唐分机状态通知", dto);
        if (dto.Status == 0)
        {
            await _IPPbxApplication.ResetTelStatus(null, dto.TelNo, CancellationToken.None);
        }
    }
}
